XMLReader::expand
XMLReader::getAttributeNo
XMLReader
PHP Manual

# XMLReader::getAttribute

(PHP 5 >= 5.1.2)

XMLReader::getAttribute — Get the value of a named attribute

### Description

string XMLReader::getAttribute ( string `$name` )

Returns the value of a named attribute or an empty string if attribute does not exist or not positioned on an element node.

### Parameters

`name`

  The name of the attribute.

### Return Values

The value of the attribute, or an empty string if no attribute with the given `name` is found or not positioned of element.

### See Also

- XMLReader::getAttributeNo
- XMLReader::getAttributeNs

XMLReader::expand
XMLReader::getAttributeNo
XMLReader
PHP Manual